<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>GimpSizeEntry: GIMP Widgets Library Reference Manual</title>
<meta name="generator" content="DocBook XSL Stylesheets V1.79.1">
<link rel="home" href="index.html" title="GIMP Widgets Library Reference Manual">
<link rel="up" href="libgimpwidgets-widgets.html" title="Part I. GIMP Widgets">
<link rel="prev" href="GimpScrolledPreview.html" title="GimpScrolledPreview">
<link rel="next" href="GimpStringComboBox.html" title="GimpStringComboBox">
<meta name="generator" content="GTK-Doc V1.28 (XML mode)">
<link rel="stylesheet" href="style.css" type="text/css">
</head>
<body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF">
<table class="navigation" id="top" width="100%" summary="Navigation header" cellpadding="2" cellspacing="5"><tr valign="middle">
<td width="100%" align="left" class="shortcuts">
<a href="#" class="shortcut">Top</a><span id="nav_description">  <span class="dim">|</span> 
                  <a href="#GimpSizeEntry.description" class="shortcut">Description</a></span><span id="nav_hierarchy">  <span class="dim">|</span> 
                  <a href="#GimpSizeEntry.object-hierarchy" class="shortcut">Object Hierarchy</a></span><span id="nav_interfaces">  <span class="dim">|</span> 
                  <a href="#GimpSizeEntry.implemented-interfaces" class="shortcut">Implemented Interfaces</a></span><span id="nav_signals">  <span class="dim">|</span> 
                  <a href="#GimpSizeEntry.signals" class="shortcut">Signals</a></span>
</td>
<td><a accesskey="h" href="index.html"><img src="home.png" width="16" height="16" border="0" alt="Home"></a></td>
<td><a accesskey="u" href="libgimpwidgets-widgets.html"><img src="up.png" width="16" height="16" border="0" alt="Up"></a></td>
<td><a accesskey="p" href="GimpScrolledPreview.html"><img src="left.png" width="16" height="16" border="0" alt="Prev"></a></td>
<td><a accesskey="n" href="GimpStringComboBox.html"><img src="right.png" width="16" height="16" border="0" alt="Next"></a></td>
</tr></table>
<div class="refentry">
<a name="GimpSizeEntry"></a><div class="titlepage"></div>
<div class="refnamediv"><table width="100%"><tr>
<td valign="top">
<h2><span class="refentrytitle"><a name="GimpSizeEntry.top_of_page"></a>GimpSizeEntry</span></h2>
<p>GimpSizeEntry — Widget for entering pixel values and resolutions.</p>
</td>
<td class="gallery_image" valign="top" align="right"></td>
</tr></table></div>
<div class="refsect1">
<a name="GimpSizeEntry.functions"></a><h2>Functions</h2>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="functions_return">
<col class="functions_name">
</colgroup>
<tbody>
<tr>
<td class="function_type">
<a href="../gtk2/GtkWidget.html#GtkWidget-struct"><span class="returnvalue">GtkWidget</span></a> *
</td>
<td class="function_name">
<a class="link" href="GimpSizeEntry.html#gimp-size-entry-new" title="gimp_size_entry_new ()">gimp_size_entry_new</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<span class="returnvalue">void</span>
</td>
<td class="function_name">
<a class="link" href="GimpSizeEntry.html#gimp-size-entry-add-field" title="gimp_size_entry_add_field ()">gimp_size_entry_add_field</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<a href="../gtk2/GtkWidget.html#GtkWidget-struct"><span class="returnvalue">GtkWidget</span></a> *
</td>
<td class="function_name">
<a class="link" href="GimpSizeEntry.html#gimp-size-entry-attach-label" title="gimp_size_entry_attach_label ()">gimp_size_entry_attach_label</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<span class="returnvalue">void</span>
</td>
<td class="function_name">
<a class="link" href="GimpSizeEntry.html#gimp-size-entry-set-resolution" title="gimp_size_entry_set_resolution ()">gimp_size_entry_set_resolution</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<span class="returnvalue">void</span>
</td>
<td class="function_name">
<a class="link" href="GimpSizeEntry.html#gimp-size-entry-set-size" title="gimp_size_entry_set_size ()">gimp_size_entry_set_size</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<span class="returnvalue">void</span>
</td>
<td class="function_name">
<a class="link" href="GimpSizeEntry.html#gimp-size-entry-set-value-boundaries" title="gimp_size_entry_set_value_boundaries ()">gimp_size_entry_set_value_boundaries</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<a href="../glib/glib-Basic-Types.html#gdouble"><span class="returnvalue">gdouble</span></a>
</td>
<td class="function_name">
<a class="link" href="GimpSizeEntry.html#gimp-size-entry-get-value" title="gimp_size_entry_get_value ()">gimp_size_entry_get_value</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<span class="returnvalue">void</span>
</td>
<td class="function_name">
<a class="link" href="GimpSizeEntry.html#gimp-size-entry-set-value" title="gimp_size_entry_set_value ()">gimp_size_entry_set_value</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<span class="returnvalue">void</span>
</td>
<td class="function_name">
<a class="link" href="GimpSizeEntry.html#gimp-size-entry-set-refval-boundaries" title="gimp_size_entry_set_refval_boundaries ()">gimp_size_entry_set_refval_boundaries</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<span class="returnvalue">void</span>
</td>
<td class="function_name">
<a class="link" href="GimpSizeEntry.html#gimp-size-entry-set-refval-digits" title="gimp_size_entry_set_refval_digits ()">gimp_size_entry_set_refval_digits</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<a href="../glib/glib-Basic-Types.html#gdouble"><span class="returnvalue">gdouble</span></a>
</td>
<td class="function_name">
<a class="link" href="GimpSizeEntry.html#gimp-size-entry-get-refval" title="gimp_size_entry_get_refval ()">gimp_size_entry_get_refval</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<span class="returnvalue">void</span>
</td>
<td class="function_name">
<a class="link" href="GimpSizeEntry.html#gimp-size-entry-set-refval" title="gimp_size_entry_set_refval ()">gimp_size_entry_set_refval</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<a href="../html/libgimpbase-gimpunit.html#GimpUnit"><span class="returnvalue">GimpUnit</span></a>
</td>
<td class="function_name">
<a class="link" href="GimpSizeEntry.html#gimp-size-entry-get-unit" title="gimp_size_entry_get_unit ()">gimp_size_entry_get_unit</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<span class="returnvalue">void</span>
</td>
<td class="function_name">
<a class="link" href="GimpSizeEntry.html#gimp-size-entry-set-unit" title="gimp_size_entry_set_unit ()">gimp_size_entry_set_unit</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<span class="returnvalue">void</span>
</td>
<td class="function_name">
<a class="link" href="GimpSizeEntry.html#gimp-size-entry-set-pixel-digits" title="gimp_size_entry_set_pixel_digits ()">gimp_size_entry_set_pixel_digits</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<span class="returnvalue">void</span>
</td>
<td class="function_name">
<a class="link" href="GimpSizeEntry.html#gimp-size-entry-show-unit-menu" title="gimp_size_entry_show_unit_menu ()">gimp_size_entry_show_unit_menu</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<span class="returnvalue">void</span>
</td>
<td class="function_name">
<a class="link" href="GimpSizeEntry.html#gimp-size-entry-grab-focus" title="gimp_size_entry_grab_focus ()">gimp_size_entry_grab_focus</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<span class="returnvalue">void</span>
</td>
<td class="function_name">
<a class="link" href="GimpSizeEntry.html#gimp-size-entry-set-activates-default" title="gimp_size_entry_set_activates_default ()">gimp_size_entry_set_activates_default</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<a href="../gtk2/GtkWidget.html#GtkWidget-struct"><span class="returnvalue">GtkWidget</span></a> *
</td>
<td class="function_name">
<a class="link" href="GimpSizeEntry.html#gimp-size-entry-get-help-widget" title="gimp_size_entry_get_help_widget ()">gimp_size_entry_get_help_widget</a> <span class="c_punctuation">()</span>
</td>
</tr>
</tbody>
</table></div>
</div>
<div class="refsect1">
<a name="GimpSizeEntry.signals"></a><h2>Signals</h2>
<div class="informaltable"><table class="informaltable" border="0">
<colgroup>
<col width="150px" class="signals_return">
<col width="300px" class="signals_name">
<col width="200px" class="signals_flags">
</colgroup>
<tbody>
<tr>
<td class="signal_type"><span class="returnvalue">void</span></td>
<td class="signal_name"><a class="link" href="GimpSizeEntry.html#GimpSizeEntry-refval-changed" title="The “refval-changed” signal">refval-changed</a></td>
<td class="signal_flags"><a href="../gobject/gobject-Signals.html#G-SIGNAL-RUN-FIRST:CAPS">Run First</a></td>
</tr>
<tr>
<td class="signal_type"><span class="returnvalue">void</span></td>
<td class="signal_name"><a class="link" href="GimpSizeEntry.html#GimpSizeEntry-unit-changed" title="The “unit-changed” signal">unit-changed</a></td>
<td class="signal_flags"><a href="../gobject/gobject-Signals.html#G-SIGNAL-RUN-FIRST:CAPS">Run First</a></td>
</tr>
<tr>
<td class="signal_type"><span class="returnvalue">void</span></td>
<td class="signal_name"><a class="link" href="GimpSizeEntry.html#GimpSizeEntry-value-changed" title="The “value-changed” signal">value-changed</a></td>
<td class="signal_flags"><a href="../gobject/gobject-Signals.html#G-SIGNAL-RUN-FIRST:CAPS">Run First</a></td>
</tr>
</tbody>
</table></div>
</div>
<div class="refsect1">
<a name="GimpSizeEntry.other"></a><h2>Types and Values</h2>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="name">
<col class="description">
</colgroup>
<tbody>
<tr>
<td class="datatype_keyword"> </td>
<td class="function_name"><a class="link" href="GimpSizeEntry.html#GimpSizeEntry-struct" title="GimpSizeEntry">GimpSizeEntry</a></td>
</tr>
<tr>
<td class="datatype_keyword"> </td>
<td class="function_name"><a class="link" href="GimpSizeEntry.html#GimpSizeEntryField" title="GimpSizeEntryField">GimpSizeEntryField</a></td>
</tr>
<tr>
<td class="datatype_keyword">enum</td>
<td class="function_name"><a class="link" href="GimpSizeEntry.html#GimpSizeEntryUpdatePolicy" title="enum GimpSizeEntryUpdatePolicy">GimpSizeEntryUpdatePolicy</a></td>
</tr>
</tbody>
</table></div>
</div>
<div class="refsect1">
<a name="GimpSizeEntry.object-hierarchy"></a><h2>Object Hierarchy</h2>
<pre class="screen">    <a href="../gobject/gobject-The-Base-Object-Type.html#GObject-struct">GObject</a>
    <span class="lineart">╰──</span> <a href="../gobject/gobject-The-Base-Object-Type.html#GInitiallyUnowned">GInitiallyUnowned</a>
        <span class="lineart">╰──</span> <a href="../gtk2/GtkObject.html#GtkObject-struct">GtkObject</a>
            <span class="lineart">╰──</span> <a href="../gtk2/GtkWidget.html#GtkWidget-struct">GtkWidget</a>
                <span class="lineart">╰──</span> <a href="../gtk2/GtkContainer.html#GtkContainer-struct">GtkContainer</a>
                    <span class="lineart">╰──</span> <a href="../gtk2/GtkTable.html#GtkTable-struct">GtkTable</a>
                        <span class="lineart">╰──</span> GimpSizeEntry
</pre>
</div>
<div class="refsect1">
<a name="GimpSizeEntry.implemented-interfaces"></a><h2>Implemented Interfaces</h2>
<p>
GimpSizeEntry implements
 AtkImplementor and  <a href="../gtk2/GtkBuildable.html#GtkBuildable-struct">GtkBuildable</a>.</p>
</div>
<div class="refsect1">
<a name="GimpSizeEntry.description"></a><h2>Description</h2>
<p>This widget is used to enter pixel distances/sizes and resolutions.</p>
<p>You can specify the number of fields the widget should provide. For
each field automatic mappings are performed between the field's
"reference value" and its "value".</p>
<p>There is a <a class="link" href="GimpUnitComboBox.html" title="GimpUnitComboBox"><span class="type">GimpUnitComboBox</span></a> right of the entry fields which lets
you specify the <a href="../html/libgimpbase-gimpunit.html#GimpUnit"><span class="type">GimpUnit</span></a> of the displayed values.</p>
<p>For each field, there can be one or two <a href="../gtk2/GtkSpinButton.html#GtkSpinButton-struct"><span class="type">GtkSpinButton</span></a>'s to enter
"value" and "reference value". If you specify <em class="parameter"><code>show_refval</code></em>
 as
<a href="../glib/glib-Standard-Macros.html#FALSE:CAPS"><span class="type">FALSE</span></a> in <a class="link" href="GimpSizeEntry.html#gimp-size-entry-new" title="gimp_size_entry_new ()"><code class="function">gimp_size_entry_new()</code></a> there will be only one
<a href="../gtk2/GtkSpinButton.html#GtkSpinButton-struct"><span class="type">GtkSpinButton</span></a> and the <a class="link" href="GimpUnitComboBox.html" title="GimpUnitComboBox"><span class="type">GimpUnitComboBox</span></a> will contain an item for
selecting GIMP_UNIT_PIXEL.</p>
<p>The "reference value" is either of GIMP_UNIT_PIXEL or dpi,
depending on which <a class="link" href="GimpSizeEntry.html#GimpSizeEntryUpdatePolicy" title="enum GimpSizeEntryUpdatePolicy"><span class="type">GimpSizeEntryUpdatePolicy</span></a> you specify in
<a class="link" href="GimpSizeEntry.html#gimp-size-entry-new" title="gimp_size_entry_new ()"><code class="function">gimp_size_entry_new()</code></a>.  The "value" is either the size in pixels
mapped to the size in a real-world-unit (see <a href="../html/libgimpbase-gimpunit.html#GimpUnit"><span class="type">GimpUnit</span></a>) or the dpi
value mapped to pixels per real-world-unit.</p>
</div>
<div class="refsect1">
<a name="GimpSizeEntry.functions_details"></a><h2>Functions</h2>
<div class="refsect2">
<a name="gimp-size-entry-new"></a><h3>gimp_size_entry_new ()</h3>
<pre class="programlisting"><a href="../gtk2/GtkWidget.html#GtkWidget-struct"><span class="returnvalue">GtkWidget</span></a> *
gimp_size_entry_new (<em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gint"><span class="type">gint</span></a> number_of_fields</code></em>,
                     <em class="parameter"><code><a href="../html/libgimpbase-gimpunit.html#GimpUnit"><span class="type">GimpUnit</span></a> unit</code></em>,
                     <em class="parameter"><code>const <a href="../glib/glib-Basic-Types.html#gchar"><span class="type">gchar</span></a> *unit_format</code></em>,
                     <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gboolean"><span class="type">gboolean</span></a> menu_show_pixels</code></em>,
                     <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gboolean"><span class="type">gboolean</span></a> menu_show_percent</code></em>,
                     <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gboolean"><span class="type">gboolean</span></a> show_refval</code></em>,
                     <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gint"><span class="type">gint</span></a> spinbutton_width</code></em>,
                     <em class="parameter"><code><a class="link" href="GimpSizeEntry.html#GimpSizeEntryUpdatePolicy" title="enum GimpSizeEntryUpdatePolicy"><span class="type">GimpSizeEntryUpdatePolicy</span></a> update_policy</code></em>);</pre>
<p>Creates a new <a class="link" href="GimpSizeEntry.html" title="GimpSizeEntry"><span class="type">GimpSizeEntry</span></a> widget.</p>
<p>To have all automatic calculations performed correctly, set up the
widget in the following order:</p>
<div class="orderedlist"><ol class="orderedlist" type="1">
<li class="listitem"><p>gimp_size_entry_new()</p></li>
<li class="listitem"><p>(for each additional input field) <a class="link" href="GimpSizeEntry.html#gimp-size-entry-add-field" title="gimp_size_entry_add_field ()"><code class="function">gimp_size_entry_add_field()</code></a></p></li>
<li class="listitem"><p>gimp_size_entry_set_unit()</p></li>
</ol></div>
<p>For each input field:</p>
<div class="orderedlist"><ol class="orderedlist" type="1">
<li class="listitem"><p>gimp_size_entry_set_resolution()</p></li>
<li class="listitem"><p>gimp_size_entry_set_refval_boundaries()
(or <a class="link" href="GimpSizeEntry.html#gimp-size-entry-set-value-boundaries" title="gimp_size_entry_set_value_boundaries ()"><code class="function">gimp_size_entry_set_value_boundaries()</code></a>)</p></li>
<li class="listitem"><p>gimp_size_entry_set_size()</p></li>
<li class="listitem"><p>gimp_size_entry_set_refval() (or <a class="link" href="GimpSizeEntry.html#gimp-size-entry-set-value" title="gimp_size_entry_set_value ()"><code class="function">gimp_size_entry_set_value()</code></a>)</p></li>
</ol></div>
<p>The <a class="link" href="GimpSizeEntry.html" title="GimpSizeEntry"><span class="type">GimpSizeEntry</span></a> is derived from <a href="../gtk2/GtkTable.html#GtkTable-struct"><span class="type">GtkTable</span></a> and will have
an empty border of one cell width on each side plus an empty column left
of the <a class="link" href="GimpUnitComboBox.html" title="GimpUnitComboBox"><span class="type">GimpUnitComboBox</span></a> to allow the caller to add labels or a
<a class="link" href="GimpChainButton.html" title="GimpChainButton"><span class="type">GimpChainButton</span></a>.</p>
<div class="refsect3">
<a name="gimp-size-entry-new.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody>
<tr>
<td class="parameter_name"><p>number_of_fields</p></td>
<td class="parameter_description"><p>The number of input fields.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>unit</p></td>
<td class="parameter_description"><p>The initial unit.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>unit_format</p></td>
<td class="parameter_description"><p>A printf-like unit-format string as is used with
<a class="link" href="GimpUnitMenu.html#gimp-unit-menu-new" title="gimp_unit_menu_new ()"><code class="function">gimp_unit_menu_new()</code></a>.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>menu_show_pixels</p></td>
<td class="parameter_description"><p><a href="../glib/glib-Standard-Macros.html#TRUE:CAPS"><code class="literal">TRUE</code></a> if the unit menu should contain an item for
GIMP_UNIT_PIXEL (ignored if the <em class="parameter"><code>update_policy</code></em>
is not
GIMP_SIZE_ENTRY_UPDATE_NONE).</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>menu_show_percent</p></td>
<td class="parameter_description"><p><a href="../glib/glib-Standard-Macros.html#TRUE:CAPS"><code class="literal">TRUE</code></a> if the unit menu should contain an item for
GIMP_UNIT_PERCENT.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>show_refval</p></td>
<td class="parameter_description"><p><a href="../glib/glib-Standard-Macros.html#TRUE:CAPS"><code class="literal">TRUE</code></a> if you want an extra "reference value"
spinbutton per input field.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>spinbutton_width</p></td>
<td class="parameter_description"><p>The minimal horizontal size of the <a href="../gtk2/GtkSpinButton.html#GtkSpinButton-struct"><span class="type">GtkSpinButton</span></a>'s.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>update_policy</p></td>
<td class="parameter_description"><p>How the automatic pixel &lt;-&gt; real-world-unit
calculations should be done.</p></td>
<td class="parameter_annotations"> </td>
</tr>
</tbody>
</table></div>
</div>
<div class="refsect3">
<a name="gimp-size-entry-new.returns"></a><h4>Returns</h4>
<p> A Pointer to the new <a class="link" href="GimpSizeEntry.html" title="GimpSizeEntry"><span class="type">GimpSizeEntry</span></a> widget.</p>
</div>
</div>
<hr>
<div class="refsect2">
<a name="gimp-size-entry-add-field"></a><h3>gimp_size_entry_add_field ()</h3>
<pre class="programlisting"><span class="returnvalue">void</span>
gimp_size_entry_add_field (<em class="parameter"><code><a class="link" href="GimpSizeEntry.html" title="GimpSizeEntry"><span class="type">GimpSizeEntry</span></a> *gse</code></em>,
                           <em class="parameter"><code><a href="../gtk2/GtkSpinButton.html#GtkSpinButton-struct"><span class="type">GtkSpinButton</span></a> *value_spinbutton</code></em>,
                           <em class="parameter"><code><a href="../gtk2/GtkSpinButton.html#GtkSpinButton-struct"><span class="type">GtkSpinButton</span></a> *refval_spinbutton</code></em>);</pre>
<p>Adds an input field to the <a class="link" href="GimpSizeEntry.html" title="GimpSizeEntry"><span class="type">GimpSizeEntry</span></a>.</p>
<p>The new input field will have the index 0. If you specified <em class="parameter"><code>show_refval</code></em>

as <a href="../glib/glib-Standard-Macros.html#TRUE:CAPS"><code class="literal">TRUE</code></a> in <a class="link" href="GimpSizeEntry.html#gimp-size-entry-new" title="gimp_size_entry_new ()"><code class="function">gimp_size_entry_new()</code></a> you have to pass an additional
<a href="../gtk2/GtkSpinButton.html#GtkSpinButton-struct"><span class="type">GtkSpinButton</span></a> to hold the reference value. If <em class="parameter"><code>show_refval</code></em>
 was <a href="../glib/glib-Standard-Macros.html#FALSE:CAPS"><code class="literal">FALSE</code></a>,
<em class="parameter"><code>refval_spinbutton</code></em>
 will be ignored.</p>
<div class="refsect3">
<a name="gimp-size-entry-add-field.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody>
<tr>
<td class="parameter_name"><p>gse</p></td>
<td class="parameter_description"><p>The sizeentry you want to add a field to.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>value_spinbutton</p></td>
<td class="parameter_description"><p>The spinbutton to display the field's value.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>refval_spinbutton</p></td>
<td class="parameter_description"><p>The spinbutton to display the field's reference value.</p></td>
<td class="parameter_annotations"> </td>
</tr>
</tbody>
</table></div>
</div>
</div>
<hr>
<div class="refsect2">
<a name="gimp-size-entry-attach-label"></a><h3>gimp_size_entry_attach_label ()</h3>
<pre class="programlisting"><a href="../gtk2/GtkWidget.html#GtkWidget-struct"><span class="returnvalue">GtkWidget</span></a> *
gimp_size_entry_attach_label (<em class="parameter"><code><a class="link" href="GimpSizeEntry.html" title="GimpSizeEntry"><span class="type">GimpSizeEntry</span></a> *gse</code></em>,
                              <em class="parameter"><code>const <a href="../glib/glib-Basic-Types.html#gchar"><span class="type">gchar</span></a> *text</code></em>,
                              <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gint"><span class="type">gint</span></a> row</code></em>,
                              <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gint"><span class="type">gint</span></a> column</code></em>,
                              <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gfloat"><span class="type">gfloat</span></a> alignment</code></em>);</pre>
<p>Attaches a <a href="../gtk2/GtkLabel.html#GtkLabel-struct"><span class="type">GtkLabel</span></a> to the <a class="link" href="GimpSizeEntry.html" title="GimpSizeEntry"><span class="type">GimpSizeEntry</span></a> (which is a <a href="../gtk2/GtkTable.html#GtkTable-struct"><span class="type">GtkTable</span></a>).</p>
<div class="refsect3">
<a name="gimp-size-entry-attach-label.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody>
<tr>
<td class="parameter_name"><p>gse</p></td>
<td class="parameter_description"><p>The sizeentry you want to add a label to.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>text</p></td>
<td class="parameter_description"><p>The text of the label.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>row</p></td>
<td class="parameter_description"><p>The row where the label will be attached.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>column</p></td>
<td class="parameter_description"><p>The column where the label will be attached.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>alignment</p></td>
<td class="parameter_description"><p>The horizontal alignment of the label.</p></td>
<td class="parameter_annotations"> </td>
</tr>
</tbody>
</table></div>
</div>
<div class="refsect3">
<a name="gimp-size-entry-attach-label.returns"></a><h4>Returns</h4>
<p> A pointer to the new <a href="../gtk2/GtkLabel.html#GtkLabel-struct"><span class="type">GtkLabel</span></a> widget.</p>
</div>
</div>
<hr>
<div class="refsect2">
<a name="gimp-size-entry-set-resolution"></a><h3>gimp_size_entry_set_resolution ()</h3>
<pre class="programlisting"><span class="returnvalue">void</span>
gimp_size_entry_set_resolution (<em class="parameter"><code><a class="link" href="GimpSizeEntry.html" title="GimpSizeEntry"><span class="type">GimpSizeEntry</span></a> *gse</code></em>,
                                <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gint"><span class="type">gint</span></a> field</code></em>,
                                <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gdouble"><span class="type">gdouble</span></a> resolution</code></em>,
                                <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gboolean"><span class="type">gboolean</span></a> keep_size</code></em>);</pre>
<p>Sets the resolution (in dpi) for field # <em class="parameter"><code>field</code></em>
 of the <a class="link" href="GimpSizeEntry.html" title="GimpSizeEntry"><span class="type">GimpSizeEntry</span></a>.</p>
<p>The <em class="parameter"><code>resolution</code></em>
 passed will be clamped to fit in
[<a href="../html/libgimpbase-gimplimits.html#GIMP-MIN-RESOLUTION:CAPS"><span class="type">GIMP_MIN_RESOLUTION</span></a>..<a href="../html/libgimpbase-gimplimits.html#GIMP-MAX-RESOLUTION:CAPS"><span class="type">GIMP_MAX_RESOLUTION</span></a>].</p>
<p>This function does nothing if the <a class="link" href="GimpSizeEntry.html#GimpSizeEntryUpdatePolicy" title="enum GimpSizeEntryUpdatePolicy"><span class="type">GimpSizeEntryUpdatePolicy</span></a> specified in
<a class="link" href="GimpSizeEntry.html#gimp-size-entry-new" title="gimp_size_entry_new ()"><code class="function">gimp_size_entry_new()</code></a> doesn't equal to <a class="link" href="GimpSizeEntry.html#GIMP-SIZE-ENTRY-UPDATE-SIZE:CAPS"><span class="type">GIMP_SIZE_ENTRY_UPDATE_SIZE</span></a>.</p>
<div class="refsect3">
<a name="gimp-size-entry-set-resolution.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody>
<tr>
<td class="parameter_name"><p>gse</p></td>
<td class="parameter_description"><p>The sizeentry you want to set a resolution for.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>field</p></td>
<td class="parameter_description"><p>The index of the field you want to set the resolution for.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>resolution</p></td>
<td class="parameter_description"><p>The new resolution (in dpi) for the chosen <em class="parameter"><code>field</code></em>
.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>keep_size</p></td>
<td class="parameter_description"><p><a href="../glib/glib-Standard-Macros.html#TRUE:CAPS"><code class="literal">TRUE</code></a> if the <em class="parameter"><code>field</code></em>
's size in pixels should stay the same.
<a href="../glib/glib-Standard-Macros.html#FALSE:CAPS"><code class="literal">FALSE</code></a> if the <em class="parameter"><code>field</code></em>
's size in units should stay the same.</p></td>
<td class="parameter_annotations"> </td>
</tr>
</tbody>
</table></div>
</div>
</div>
<hr>
<div class="refsect2">
<a name="gimp-size-entry-set-size"></a><h3>gimp_size_entry_set_size ()</h3>
<pre class="programlisting"><span class="returnvalue">void</span>
gimp_size_entry_set_size (<em class="parameter"><code><a class="link" href="GimpSizeEntry.html" title="GimpSizeEntry"><span class="type">GimpSizeEntry</span></a> *gse</code></em>,
                          <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gint"><span class="type">gint</span></a> field</code></em>,
                          <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gdouble"><span class="type">gdouble</span></a> lower</code></em>,
                          <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gdouble"><span class="type">gdouble</span></a> upper</code></em>);</pre>
<p>Sets the pixel values for field # <em class="parameter"><code>field</code></em>
 of the <a class="link" href="GimpSizeEntry.html" title="GimpSizeEntry"><span class="type">GimpSizeEntry</span></a>
which will be treated as 0% and 100%.</p>
<p>These values will be used if you specified <em class="parameter"><code>menu_show_percent</code></em>
 as <a href="../glib/glib-Standard-Macros.html#TRUE:CAPS"><code class="literal">TRUE</code></a>
in <a class="link" href="GimpSizeEntry.html#gimp-size-entry-new" title="gimp_size_entry_new ()"><code class="function">gimp_size_entry_new()</code></a> and the user has selected GIMP_UNIT_PERCENT in
the <a class="link" href="GimpSizeEntry.html" title="GimpSizeEntry"><span class="type">GimpSizeEntry</span></a>'s <a class="link" href="GimpUnitComboBox.html" title="GimpUnitComboBox"><span class="type">GimpUnitComboBox</span></a>.</p>
<p>This function does nothing if the <a class="link" href="GimpSizeEntry.html#GimpSizeEntryUpdatePolicy" title="enum GimpSizeEntryUpdatePolicy"><span class="type">GimpSizeEntryUpdatePolicy</span></a> specified in
<a class="link" href="GimpSizeEntry.html#gimp-size-entry-new" title="gimp_size_entry_new ()"><code class="function">gimp_size_entry_new()</code></a> doesn't equal to GIMP_SIZE_ENTRY_UPDATE_SIZE.</p>
<div class="refsect3">
<a name="gimp-size-entry-set-size.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody>
<tr>
<td class="parameter_name"><p>gse</p></td>
<td class="parameter_description"><p>The sizeentry you want to set a size for.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>field</p></td>
<td class="parameter_description"><p>The index of the field you want to set the size for.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>lower</p></td>
<td class="parameter_description"><p>The reference value which will be treated as 0%.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>upper</p></td>
<td class="parameter_description"><p>The reference value which will be treated as 100%.</p></td>
<td class="parameter_annotations"> </td>
</tr>
</tbody>
</table></div>
</div>
</div>
<hr>
<div class="refsect2">
<a name="gimp-size-entry-set-value-boundaries"></a><h3>gimp_size_entry_set_value_boundaries ()</h3>
<pre class="programlisting"><span class="returnvalue">void</span>
gimp_size_entry_set_value_boundaries (<em class="parameter"><code><a class="link" href="GimpSizeEntry.html" title="GimpSizeEntry"><span class="type">GimpSizeEntry</span></a> *gse</code></em>,
                                      <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gint"><span class="type">gint</span></a> field</code></em>,
                                      <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gdouble"><span class="type">gdouble</span></a> lower</code></em>,
                                      <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gdouble"><span class="type">gdouble</span></a> upper</code></em>);</pre>
<p>Limits the range of possible values which can be entered in field # <em class="parameter"><code>field</code></em>

of the <a class="link" href="GimpSizeEntry.html" title="GimpSizeEntry"><span class="type">GimpSizeEntry</span></a>.</p>
<p>The current value of the <em class="parameter"><code>field</code></em>
 will be clamped to fit in the <em class="parameter"><code>field</code></em>
's
new boundaries.</p>
<p>NOTE: In most cases you won't be interested in this function because the
      <a class="link" href="GimpSizeEntry.html" title="GimpSizeEntry"><span class="type">GimpSizeEntry</span></a>'s purpose is to shield the programmer from unit
      calculations. Use <a class="link" href="GimpSizeEntry.html#gimp-size-entry-set-refval-boundaries" title="gimp_size_entry_set_refval_boundaries ()"><code class="function">gimp_size_entry_set_refval_boundaries()</code></a> instead.
      Whatever you do, don't mix these calls. A size entry should either
      be clamped by the value or the reference value.</p>
<div class="refsect3">
<a name="gimp-size-entry-set-value-boundaries.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody>
<tr>
<td class="parameter_name"><p>gse</p></td>
<td class="parameter_description"><p>The sizeentry you want to set value boundaries for.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>field</p></td>
<td class="parameter_description"><p>The index of the field you want to set value boundaries for.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>lower</p></td>
<td class="parameter_description"><p>The new lower boundary of the value of the chosen <em class="parameter"><code>field</code></em>
.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>upper</p></td>
<td class="parameter_description"><p>The new upper boundary of the value of the chosen <em class="parameter"><code>field</code></em>
.</p></td>
<td class="parameter_annotations"> </td>
</tr>
</tbody>
</table></div>
</div>
</div>
<hr>
<div class="refsect2">
<a name="gimp-size-entry-get-value"></a><h3>gimp_size_entry_get_value ()</h3>
<pre class="programlisting"><a href="../glib/glib-Basic-Types.html#gdouble"><span class="returnvalue">gdouble</span></a>
gimp_size_entry_get_value (<em class="parameter"><code><a class="link" href="GimpSizeEntry.html" title="GimpSizeEntry"><span class="type">GimpSizeEntry</span></a> *gse</code></em>,
                           <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gint"><span class="type">gint</span></a> field</code></em>);</pre>
<p>Returns the value of field # <em class="parameter"><code>field</code></em>
 of the <a class="link" href="GimpSizeEntry.html" title="GimpSizeEntry"><span class="type">GimpSizeEntry</span></a>.</p>
<p>The <em class="parameter"><code>value</code></em>
 returned is a distance or resolution
in the <a href="../html/libgimpbase-gimpunit.html#GimpUnit"><span class="type">GimpUnit</span></a> the user has selected in the <a class="link" href="GimpSizeEntry.html" title="GimpSizeEntry"><span class="type">GimpSizeEntry</span></a>'s
<a class="link" href="GimpUnitComboBox.html" title="GimpUnitComboBox"><span class="type">GimpUnitComboBox</span></a>.</p>
<p>NOTE: In most cases you won't be interested in this value because the
      <a class="link" href="GimpSizeEntry.html" title="GimpSizeEntry"><span class="type">GimpSizeEntry</span></a>'s purpose is to shield the programmer from unit
      calculations. Use <a class="link" href="GimpSizeEntry.html#gimp-size-entry-get-refval" title="gimp_size_entry_get_refval ()"><code class="function">gimp_size_entry_get_refval()</code></a> instead.</p>
<div class="refsect3">
<a name="gimp-size-entry-get-value.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody>
<tr>
<td class="parameter_name"><p>gse</p></td>
<td class="parameter_description"><p>The sizeentry you want to know a value of.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>field</p></td>
<td class="parameter_description"><p>The index of the field you want to know the value of.</p></td>
<td class="parameter_annotations"> </td>
</tr>
</tbody>
</table></div>
</div>
<div class="refsect3">
<a name="gimp-size-entry-get-value.returns"></a><h4>Returns</h4>
<p> The value of the chosen <em class="parameter"><code>field</code></em>
.</p>
</div>
</div>
<hr>
<div class="refsect2">
<a name="gimp-size-entry-set-value"></a><h3>gimp_size_entry_set_value ()</h3>
<pre class="programlisting"><span class="returnvalue">void</span>
gimp_size_entry_set_value (<em class="parameter"><code><a class="link" href="GimpSizeEntry.html" title="GimpSizeEntry"><span class="type">GimpSizeEntry</span></a> *gse</code></em>,
                           <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gint"><span class="type">gint</span></a> field</code></em>,
                           <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gdouble"><span class="type">gdouble</span></a> value</code></em>);</pre>
<p>Sets the value for field # <em class="parameter"><code>field</code></em>
 of the <a class="link" href="GimpSizeEntry.html" title="GimpSizeEntry"><span class="type">GimpSizeEntry</span></a>.</p>
<p>The <em class="parameter"><code>value</code></em>
 passed is treated to be a distance or resolution
in the <a href="../html/libgimpbase-gimpunit.html#GimpUnit"><span class="type">GimpUnit</span></a> the user has selected in the <a class="link" href="GimpSizeEntry.html" title="GimpSizeEntry"><span class="type">GimpSizeEntry</span></a>'s
<a class="link" href="GimpUnitComboBox.html" title="GimpUnitComboBox"><span class="type">GimpUnitComboBox</span></a>.</p>
<p>NOTE: In most cases you won't be interested in this value because the
      <a class="link" href="GimpSizeEntry.html" title="GimpSizeEntry"><span class="type">GimpSizeEntry</span></a>'s purpose is to shield the programmer from unit
      calculations. Use <a class="link" href="GimpSizeEntry.html#gimp-size-entry-set-refval" title="gimp_size_entry_set_refval ()"><code class="function">gimp_size_entry_set_refval()</code></a> instead.</p>
<div class="refsect3">
<a name="gimp-size-entry-set-value.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody>
<tr>
<td class="parameter_name"><p>gse</p></td>
<td class="parameter_description"><p>The sizeentry you want to set a value for.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>field</p></td>
<td class="parameter_description"><p>The index of the field you want to set a value for.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>value</p></td>
<td class="parameter_description"><p>The new value for <em class="parameter"><code>field</code></em>
.</p></td>
<td class="parameter_annotations"> </td>
</tr>
</tbody>
</table></div>
</div>
</div>
<hr>
<div class="refsect2">
<a name="gimp-size-entry-set-refval-boundaries"></a><h3>gimp_size_entry_set_refval_boundaries ()</h3>
<pre class="programlisting"><span class="returnvalue">void</span>
gimp_size_entry_set_refval_boundaries (<em class="parameter"><code><a class="link" href="GimpSizeEntry.html" title="GimpSizeEntry"><span class="type">GimpSizeEntry</span></a> *gse</code></em>,
                                       <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gint"><span class="type">gint</span></a> field</code></em>,
                                       <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gdouble"><span class="type">gdouble</span></a> lower</code></em>,
                                       <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gdouble"><span class="type">gdouble</span></a> upper</code></em>);</pre>
<p>Limits the range of possible reference values which can be entered in
field # <em class="parameter"><code>field</code></em>
 of the <a class="link" href="GimpSizeEntry.html" title="GimpSizeEntry"><span class="type">GimpSizeEntry</span></a>.</p>
<p>The current reference value of the <em class="parameter"><code>field</code></em>
 will be clamped to fit in the
<em class="parameter"><code>field</code></em>
's new boundaries.</p>
<div class="refsect3">
<a name="gimp-size-entry-set-refval-boundaries.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody>
<tr>
<td class="parameter_name"><p>gse</p></td>
<td class="parameter_description"><p>The sizeentry you want to set the reference value boundaries for.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>field</p></td>
<td class="parameter_description"><p>The index of the field you want to set the reference value
boundaries for.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>lower</p></td>
<td class="parameter_description"><p>The new lower boundary of the reference value of the chosen <em class="parameter"><code>field</code></em>
.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>upper</p></td>
<td class="parameter_description"><p>The new upper boundary of the reference value of the chosen <em class="parameter"><code>field</code></em>
.</p></td>
<td class="parameter_annotations"> </td>
</tr>
</tbody>
</table></div>
</div>
</div>
<hr>
<div class="refsect2">
<a name="gimp-size-entry-set-refval-digits"></a><h3>gimp_size_entry_set_refval_digits ()</h3>
<pre class="programlisting"><span class="returnvalue">void</span>
gimp_size_entry_set_refval_digits (<em class="parameter"><code><a class="link" href="GimpSizeEntry.html" title="GimpSizeEntry"><span class="type">GimpSizeEntry</span></a> *gse</code></em>,
                                   <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gint"><span class="type">gint</span></a> field</code></em>,
                                   <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gint"><span class="type">gint</span></a> digits</code></em>);</pre>
<p>Sets the decimal digits of field # <em class="parameter"><code>field</code></em>
 of the <a class="link" href="GimpSizeEntry.html" title="GimpSizeEntry"><span class="type">GimpSizeEntry</span></a> to
<em class="parameter"><code>digits</code></em>
.</p>
<p>If you don't specify this value explicitly, the reference value's number
of digits will equal to 0 for <a class="link" href="GimpSizeEntry.html#GIMP-SIZE-ENTRY-UPDATE-SIZE:CAPS"><span class="type">GIMP_SIZE_ENTRY_UPDATE_SIZE</span></a> and to 2 for
<a class="link" href="GimpSizeEntry.html#GIMP-SIZE-ENTRY-UPDATE-RESOLUTION:CAPS"><span class="type">GIMP_SIZE_ENTRY_UPDATE_RESOLUTION</span></a>.</p>
<div class="refsect3">
<a name="gimp-size-entry-set-refval-digits.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody>
<tr>
<td class="parameter_name"><p>gse</p></td>
<td class="parameter_description"><p>The sizeentry you want to set the reference value digits for.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>field</p></td>
<td class="parameter_description"><p>The index of the field you want to set the reference value for.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>digits</p></td>
<td class="parameter_description"><p>The new number of decimal digits for the <a href="../gtk2/GtkSpinButton.html#GtkSpinButton-struct"><span class="type">GtkSpinButton</span></a> which
displays <em class="parameter"><code>field</code></em>
's reference value.</p></td>
<td class="parameter_annotations"> </td>
</tr>
</tbody>
</table></div>
</div>
</div>
<hr>
<div class="refsect2">
<a name="gimp-size-entry-get-refval"></a><h3>gimp_size_entry_get_refval ()</h3>
<pre class="programlisting"><a href="../glib/glib-Basic-Types.html#gdouble"><span class="returnvalue">gdouble</span></a>
gimp_size_entry_get_refval (<em class="parameter"><code><a class="link" href="GimpSizeEntry.html" title="GimpSizeEntry"><span class="type">GimpSizeEntry</span></a> *gse</code></em>,
                            <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gint"><span class="type">gint</span></a> field</code></em>);</pre>
<p>Returns the reference value for field # <em class="parameter"><code>field</code></em>
 of the <a class="link" href="GimpSizeEntry.html" title="GimpSizeEntry"><span class="type">GimpSizeEntry</span></a>.</p>
<p>The reference value is either a distance in pixels or a resolution
in dpi, depending on which <a class="link" href="GimpSizeEntry.html#GimpSizeEntryUpdatePolicy" title="enum GimpSizeEntryUpdatePolicy"><span class="type">GimpSizeEntryUpdatePolicy</span></a> you chose in
<a class="link" href="GimpSizeEntry.html#gimp-size-entry-new" title="gimp_size_entry_new ()"><code class="function">gimp_size_entry_new()</code></a>.</p>
<div class="refsect3">
<a name="gimp-size-entry-get-refval.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody>
<tr>
<td class="parameter_name"><p>gse</p></td>
<td class="parameter_description"><p>The sizeentry you want to know a reference value of.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>field</p></td>
<td class="parameter_description"><p>The index of the field you want to know the reference value of.</p></td>
<td class="parameter_annotations"> </td>
</tr>
</tbody>
</table></div>
</div>
<div class="refsect3">
<a name="gimp-size-entry-get-refval.returns"></a><h4>Returns</h4>
<p> The reference value of the chosen <em class="parameter"><code>field</code></em>
.</p>
</div>
</div>
<hr>
<div class="refsect2">
<a name="gimp-size-entry-set-refval"></a><h3>gimp_size_entry_set_refval ()</h3>
<pre class="programlisting"><span class="returnvalue">void</span>
gimp_size_entry_set_refval (<em class="parameter"><code><a class="link" href="GimpSizeEntry.html" title="GimpSizeEntry"><span class="type">GimpSizeEntry</span></a> *gse</code></em>,
                            <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gint"><span class="type">gint</span></a> field</code></em>,
                            <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gdouble"><span class="type">gdouble</span></a> refval</code></em>);</pre>
<p>Sets the reference value for field # <em class="parameter"><code>field</code></em>
 of the <a class="link" href="GimpSizeEntry.html" title="GimpSizeEntry"><span class="type">GimpSizeEntry</span></a>.</p>
<p>The <em class="parameter"><code>refval</code></em>
 passed is either a distance in pixels or a resolution in dpi,
depending on which <a class="link" href="GimpSizeEntry.html#GimpSizeEntryUpdatePolicy" title="enum GimpSizeEntryUpdatePolicy"><span class="type">GimpSizeEntryUpdatePolicy</span></a> you chose in
<a class="link" href="GimpSizeEntry.html#gimp-size-entry-new" title="gimp_size_entry_new ()"><code class="function">gimp_size_entry_new()</code></a>.</p>
<div class="refsect3">
<a name="gimp-size-entry-set-refval.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody>
<tr>
<td class="parameter_name"><p>gse</p></td>
<td class="parameter_description"><p>The sizeentry you want to set a reference value for.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>field</p></td>
<td class="parameter_description"><p>The index of the field you want to set the reference value for.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>refval</p></td>
<td class="parameter_description"><p>The new reference value for <em class="parameter"><code>field</code></em>
.</p></td>
<td class="parameter_annotations"> </td>
</tr>
</tbody>
</table></div>
</div>
</div>
<hr>
<div class="refsect2">
<a name="gimp-size-entry-get-unit"></a><h3>gimp_size_entry_get_unit ()</h3>
<pre class="programlisting"><a href="../html/libgimpbase-gimpunit.html#GimpUnit"><span class="returnvalue">GimpUnit</span></a>
gimp_size_entry_get_unit (<em class="parameter"><code><a class="link" href="GimpSizeEntry.html" title="GimpSizeEntry"><span class="type">GimpSizeEntry</span></a> *gse</code></em>);</pre>
<p>Returns the <a href="../html/libgimpbase-gimpunit.html#GimpUnit"><span class="type">GimpUnit</span></a> the user has selected in the <a class="link" href="GimpSizeEntry.html" title="GimpSizeEntry"><span class="type">GimpSizeEntry</span></a>'s
<a class="link" href="GimpUnitComboBox.html" title="GimpUnitComboBox"><span class="type">GimpUnitComboBox</span></a>.</p>
<div class="refsect3">
<a name="gimp-size-entry-get-unit.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody><tr>
<td class="parameter_name"><p>gse</p></td>
<td class="parameter_description"><p>The sizeentry you want to know the unit of.</p></td>
<td class="parameter_annotations"> </td>
</tr></tbody>
</table></div>
</div>
<div class="refsect3">
<a name="gimp-size-entry-get-unit.returns"></a><h4>Returns</h4>
<p> The sizeentry's unit.</p>
</div>
</div>
<hr>
<div class="refsect2">
<a name="gimp-size-entry-set-unit"></a><h3>gimp_size_entry_set_unit ()</h3>
<pre class="programlisting"><span class="returnvalue">void</span>
gimp_size_entry_set_unit (<em class="parameter"><code><a class="link" href="GimpSizeEntry.html" title="GimpSizeEntry"><span class="type">GimpSizeEntry</span></a> *gse</code></em>,
                          <em class="parameter"><code><a href="../html/libgimpbase-gimpunit.html#GimpUnit"><span class="type">GimpUnit</span></a> unit</code></em>);</pre>
<p>Sets the <a class="link" href="GimpSizeEntry.html" title="GimpSizeEntry"><span class="type">GimpSizeEntry</span></a>'s unit. The reference value for all fields will
stay the same but the value in units or pixels per unit will change
according to which <a class="link" href="GimpSizeEntry.html#GimpSizeEntryUpdatePolicy" title="enum GimpSizeEntryUpdatePolicy"><span class="type">GimpSizeEntryUpdatePolicy</span></a> you chose in
<a class="link" href="GimpSizeEntry.html#gimp-size-entry-new" title="gimp_size_entry_new ()"><code class="function">gimp_size_entry_new()</code></a>.</p>
<div class="refsect3">
<a name="gimp-size-entry-set-unit.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody>
<tr>
<td class="parameter_name"><p>gse</p></td>
<td class="parameter_description"><p>The sizeentry you want to change the unit for.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>unit</p></td>
<td class="parameter_description"><p>The new unit.</p></td>
<td class="parameter_annotations"> </td>
</tr>
</tbody>
</table></div>
</div>
</div>
<hr>
<div class="refsect2">
<a name="gimp-size-entry-set-pixel-digits"></a><h3>gimp_size_entry_set_pixel_digits ()</h3>
<pre class="programlisting"><span class="returnvalue">void</span>
gimp_size_entry_set_pixel_digits (<em class="parameter"><code><a class="link" href="GimpSizeEntry.html" title="GimpSizeEntry"><span class="type">GimpSizeEntry</span></a> *gse</code></em>,
                                  <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gint"><span class="type">gint</span></a> digits</code></em>);</pre>
<p>This function allows you set up a <a class="link" href="GimpSizeEntry.html" title="GimpSizeEntry"><span class="type">GimpSizeEntry</span></a> so that sub-pixel
sizes can be entered.</p>
<div class="refsect3">
<a name="gimp-size-entry-set-pixel-digits.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody>
<tr>
<td class="parameter_name"><p>gse</p></td>
<td class="parameter_description"><p>a <a class="link" href="GimpSizeEntry.html" title="GimpSizeEntry"><span class="type">GimpSizeEntry</span></a></p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>digits</p></td>
<td class="parameter_description"><p>the number of digits to display for a pixel size</p></td>
<td class="parameter_annotations"> </td>
</tr>
</tbody>
</table></div>
</div>
</div>
<hr>
<div class="refsect2">
<a name="gimp-size-entry-show-unit-menu"></a><h3>gimp_size_entry_show_unit_menu ()</h3>
<pre class="programlisting"><span class="returnvalue">void</span>
gimp_size_entry_show_unit_menu (<em class="parameter"><code><a class="link" href="GimpSizeEntry.html" title="GimpSizeEntry"><span class="type">GimpSizeEntry</span></a> *gse</code></em>,
                                <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gboolean"><span class="type">gboolean</span></a> show</code></em>);</pre>
<p>Controls whether a unit menu is shown in the size entry.  If
<em class="parameter"><code>show</code></em>
 is <a href="../glib/glib-Standard-Macros.html#TRUE:CAPS"><span class="type">TRUE</span></a>, the menu is shown; otherwise it is hidden.</p>
<div class="refsect3">
<a name="gimp-size-entry-show-unit-menu.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody>
<tr>
<td class="parameter_name"><p>gse</p></td>
<td class="parameter_description"><p>a <a class="link" href="GimpSizeEntry.html" title="GimpSizeEntry"><span class="type">GimpSizeEntry</span></a></p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>show</p></td>
<td class="parameter_description"><p>Boolean</p></td>
<td class="parameter_annotations"> </td>
</tr>
</tbody>
</table></div>
</div>
<p class="since">Since: <a class="link" href="api-index-2-4.html#api-index-2.4">2.4</a></p>
</div>
<hr>
<div class="refsect2">
<a name="gimp-size-entry-grab-focus"></a><h3>gimp_size_entry_grab_focus ()</h3>
<pre class="programlisting"><span class="returnvalue">void</span>
gimp_size_entry_grab_focus (<em class="parameter"><code><a class="link" href="GimpSizeEntry.html" title="GimpSizeEntry"><span class="type">GimpSizeEntry</span></a> *gse</code></em>);</pre>
<p>This function is rather ugly and just a workaround for the fact that
it's impossible to implement <a href="../gtk2/GtkWidget.html#gtk-widget-grab-focus"><code class="function">gtk_widget_grab_focus()</code></a> for a <a href="../gtk2/GtkTable.html#GtkTable-struct"><span class="type">GtkTable</span></a>.</p>
<div class="refsect3">
<a name="gimp-size-entry-grab-focus.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody><tr>
<td class="parameter_name"><p>gse</p></td>
<td class="parameter_description"><p>The sizeentry you want to grab the keyboard focus.</p></td>
<td class="parameter_annotations"> </td>
</tr></tbody>
</table></div>
</div>
</div>
<hr>
<div class="refsect2">
<a name="gimp-size-entry-set-activates-default"></a><h3>gimp_size_entry_set_activates_default ()</h3>
<pre class="programlisting"><span class="returnvalue">void</span>
gimp_size_entry_set_activates_default (<em class="parameter"><code><a class="link" href="GimpSizeEntry.html" title="GimpSizeEntry"><span class="type">GimpSizeEntry</span></a> *gse</code></em>,
                                       <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gboolean"><span class="type">gboolean</span></a> setting</code></em>);</pre>
<p>Iterates over all entries in the <a class="link" href="GimpSizeEntry.html" title="GimpSizeEntry"><span class="type">GimpSizeEntry</span></a> and calls
<a href="../gtk2/GtkEntry.html#gtk-entry-set-activates-default"><code class="function">gtk_entry_set_activates_default()</code></a> on them.</p>
<div class="refsect3">
<a name="gimp-size-entry-set-activates-default.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody>
<tr>
<td class="parameter_name"><p>gse</p></td>
<td class="parameter_description"><p>A <a class="link" href="GimpSizeEntry.html" title="GimpSizeEntry"><span class="type">GimpSizeEntry</span></a></p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>setting</p></td>
<td class="parameter_description"><p><a href="../glib/glib-Standard-Macros.html#TRUE:CAPS"><code class="literal">TRUE</code></a> to activate window's default widget on Enter keypress</p></td>
<td class="parameter_annotations"> </td>
</tr>
</tbody>
</table></div>
</div>
<p class="since">Since: <a class="link" href="api-index-2-4.html#api-index-2.4">2.4</a></p>
</div>
<hr>
<div class="refsect2">
<a name="gimp-size-entry-get-help-widget"></a><h3>gimp_size_entry_get_help_widget ()</h3>
<pre class="programlisting"><a href="../gtk2/GtkWidget.html#GtkWidget-struct"><span class="returnvalue">GtkWidget</span></a> *
gimp_size_entry_get_help_widget (<em class="parameter"><code><a class="link" href="GimpSizeEntry.html" title="GimpSizeEntry"><span class="type">GimpSizeEntry</span></a> *gse</code></em>,
                                 <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gint"><span class="type">gint</span></a> field</code></em>);</pre>
<p>You shouldn't fiddle with the internals of a <a class="link" href="GimpSizeEntry.html" title="GimpSizeEntry"><span class="type">GimpSizeEntry</span></a> but
if you want to set tooltips using <a class="link" href="libgimpwidgets-GimpHelpUI.html#gimp-help-set-help-data" title="gimp_help_set_help_data ()"><code class="function">gimp_help_set_help_data()</code></a> you
can use this function to get a pointer to the spinbuttons.</p>
<div class="refsect3">
<a name="gimp-size-entry-get-help-widget.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody>
<tr>
<td class="parameter_name"><p>gse</p></td>
<td class="parameter_description"><p>a <a class="link" href="GimpSizeEntry.html" title="GimpSizeEntry"><span class="type">GimpSizeEntry</span></a></p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>field</p></td>
<td class="parameter_description"><p>the index of the widget you want to get a pointer to</p></td>
<td class="parameter_annotations"> </td>
</tr>
</tbody>
</table></div>
</div>
<div class="refsect3">
<a name="gimp-size-entry-get-help-widget.returns"></a><h4>Returns</h4>
<p> a <a href="../gtk2/GtkWidget.html#GtkWidget-struct"><span class="type">GtkWidget</span></a> pointer that you can attach a tooltip to.</p>
</div>
</div>
</div>
<div class="refsect1">
<a name="GimpSizeEntry.other_details"></a><h2>Types and Values</h2>
<div class="refsect2">
<a name="GimpSizeEntry-struct"></a><h3>GimpSizeEntry</h3>
<pre class="programlisting">typedef struct _GimpSizeEntry GimpSizeEntry;</pre>
</div>
<hr>
<div class="refsect2">
<a name="GimpSizeEntryField"></a><h3>GimpSizeEntryField</h3>
<pre class="programlisting">typedef struct _GimpSizeEntryField GimpSizeEntryField;</pre>
</div>
<hr>
<div class="refsect2">
<a name="GimpSizeEntryUpdatePolicy"></a><h3>enum GimpSizeEntryUpdatePolicy</h3>
<p>Update policies for <a class="link" href="GimpSizeEntry.html" title="GimpSizeEntry"><span class="type">GimpSizeEntry</span></a>.</p>
<div class="refsect3">
<a name="GimpSizeEntryUpdatePolicy.members"></a><h4>Members</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="300px" class="enum_members_name">
<col class="enum_members_description">
<col width="200px" class="enum_members_annotations">
</colgroup>
<tbody>
<tr>
<td class="enum_member_name"><p><a name="GIMP-SIZE-ENTRY-UPDATE-NONE:CAPS"></a>GIMP_SIZE_ENTRY_UPDATE_NONE</p></td>
<td class="enum_member_description">
<p>the size entry's meaning is up to the user</p>
</td>
<td class="enum_member_annotations"> </td>
</tr>
<tr>
<td class="enum_member_name"><p><a name="GIMP-SIZE-ENTRY-UPDATE-SIZE:CAPS"></a>GIMP_SIZE_ENTRY_UPDATE_SIZE</p></td>
<td class="enum_member_description">
<p>the size entry displays values</p>
</td>
<td class="enum_member_annotations"> </td>
</tr>
<tr>
<td class="enum_member_name"><p><a name="GIMP-SIZE-ENTRY-UPDATE-RESOLUTION:CAPS"></a>GIMP_SIZE_ENTRY_UPDATE_RESOLUTION</p></td>
<td class="enum_member_description">
<p>the size entry displays resolutions</p>
</td>
<td class="enum_member_annotations"> </td>
</tr>
</tbody>
</table></div>
</div>
</div>
</div>
<div class="refsect1">
<a name="GimpSizeEntry.signal-details"></a><h2>Signal Details</h2>
<div class="refsect2">
<a name="GimpSizeEntry-refval-changed"></a><h3>The <code class="literal">“refval-changed”</code> signal</h3>
<pre class="programlisting"><span class="returnvalue">void</span>
user_function (<a class="link" href="GimpSizeEntry.html" title="GimpSizeEntry"><span class="type">GimpSizeEntry</span></a> *gimpsizeentry,
               <a href="../glib/glib-Basic-Types.html#gpointer"><span class="type">gpointer</span></a>       user_data)</pre>
<p>Flags: <a href="../gobject/gobject-Signals.html#G-SIGNAL-RUN-FIRST:CAPS">Run First</a></p>
</div>
<hr>
<div class="refsect2">
<a name="GimpSizeEntry-unit-changed"></a><h3>The <code class="literal">“unit-changed”</code> signal</h3>
<pre class="programlisting"><span class="returnvalue">void</span>
user_function (<a class="link" href="GimpSizeEntry.html" title="GimpSizeEntry"><span class="type">GimpSizeEntry</span></a> *gimpsizeentry,
               <a href="../glib/glib-Basic-Types.html#gpointer"><span class="type">gpointer</span></a>       user_data)</pre>
<p>Flags: <a href="../gobject/gobject-Signals.html#G-SIGNAL-RUN-FIRST:CAPS">Run First</a></p>
</div>
<hr>
<div class="refsect2">
<a name="GimpSizeEntry-value-changed"></a><h3>The <code class="literal">“value-changed”</code> signal</h3>
<pre class="programlisting"><span class="returnvalue">void</span>
user_function (<a class="link" href="GimpSizeEntry.html" title="GimpSizeEntry"><span class="type">GimpSizeEntry</span></a> *gimpsizeentry,
               <a href="../glib/glib-Basic-Types.html#gpointer"><span class="type">gpointer</span></a>       user_data)</pre>
<p>Flags: <a href="../gobject/gobject-Signals.html#G-SIGNAL-RUN-FIRST:CAPS">Run First</a></p>
</div>
</div>
<div class="refsect1">
<a name="GimpSizeEntry.see-also"></a><h2>See Also</h2>
<p><a href="../html/libgimpbase-gimpunit.html#GimpUnit"><span class="type">GimpUnit</span></a>, <a class="link" href="GimpUnitComboBox.html" title="GimpUnitComboBox"><span class="type">GimpUnitComboBox</span></a>, <a class="link" href="libgimpwidgets-GimpWidgets.html#gimp-coordinates-new" title="gimp_coordinates_new ()"><code class="function">gimp_coordinates_new()</code></a></p>
</div>
</div>
<div class="footer">
<hr>Generated by GTK-Doc V1.28</div>
</body>
</html>